[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomControlCodeEvent

Prototype for event to handle a custom control code

## Declaration

Source position: daemonapp.pp line 77

`type TCustomControlCodeEvent = procedure(`
`Sender: TCustomDaemon;`
`ACode: DWord;`
`var Handled: Boolean`
`) of object;`

## Arguments

`Sender` |  | Daemon instance for which the control event was meant
`ACode` |  | Control code being sent to the daemon
`Handled` |  | Was the control code handled ?

## Description

In case the system sends a non-standard control code to the daemon, an event handler is executed with this prototype.